NX Open C++ Reference Guide
|
Builder for creating 1D Weld Connection
To create a new instance of this class, use CAE::CAEConnectionCollection::CreateWeldConnectionBuilder
Created in NX6.0.0.
More...
Public Types | |
enum | MeshDensityTypeEnum { MeshDensityTypeEnumSize, MeshDensityTypeEnumNumber } |
enum | WeldTypeEnum { WeldTypeEnumPointToPointDirect, WeldTypeEnumPointToPointIndirect, WeldTypeEnumPointToPoint3dWeld } |
the type of weld connection to be created More... | |
Public Member Functions | |
NXOpen::SelectTaggedObjectList * | BottomFaceSelection () |
Returns the bottom face selection(s) Created in NX6.0.0. | |
NXOpen::CAE::CAEWeldConnection * | CommitWeldconnection () |
Commits the weld connection. | |
NXOpen::CAE::ElementTypeBuilder * | ElementType () |
Returns the element type to be created Created in NX6.0.0. | |
NXOpen::SelectTaggedObjectList * | HardObjSelection () |
Returns the hard obj selection Created in NX6.0.0. | |
NXOpen::Expression * | MergeNodeTol () |
Returns the merge node tol Created in NX6.0.0. | |
NXOpen::CAE::CAEWeldConnectionBuilder::MeshDensityTypeEnum | MeshDensityType () |
Returns the mesh density type Created in NX6.0.0. | |
NXOpen::Expression * | MeshDensityValue () |
Returns the mesh density value Created in NX6.0.0. | |
void | SetMeshDensityType (NXOpen::CAE::CAEWeldConnectionBuilder::MeshDensityTypeEnum meshDensityType) |
Sets the mesh density type Created in NX6.0.0. | |
void | SetWeldType (NXOpen::CAE::CAEWeldConnectionBuilder::WeldTypeEnum weldType) |
Sets the weld connection type Created in NX6.0.0. | |
NXOpen::SelectTaggedObjectList * | TopFaceSelection () |
Returns the top face selection(s) Created in NX6.0.0. | |
NXOpen::CAE::CAEWeldConnectionBuilder::WeldTypeEnum | WeldType () |
Returns the weld connection type Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Builder for creating 1D Weld Connection
To create a new instance of this class, use CAE::CAEConnectionCollection::CreateWeldConnectionBuilder
Created in NX6.0.0.
the type of weld connection to be created
NXOpen::SelectTaggedObjectList* NXOpen::CAE::CAEWeldConnectionBuilder::BottomFaceSelection | ( | ) |
Returns the bottom face selection(s)
Created in NX6.0.0.
License requirements : None
NXOpen::CAE::CAEWeldConnection* NXOpen::CAE::CAEWeldConnectionBuilder::CommitWeldconnection | ( | ) |
Commits the weld connection.
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
NXOpen::CAE::ElementTypeBuilder* NXOpen::CAE::CAEWeldConnectionBuilder::ElementType | ( | ) |
Returns the element type to be created
Created in NX6.0.0.
License requirements : None
NXOpen::SelectTaggedObjectList* NXOpen::CAE::CAEWeldConnectionBuilder::HardObjSelection | ( | ) |
Returns the hard obj selection
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::CAE::CAEWeldConnectionBuilder::MergeNodeTol | ( | ) |
Returns the merge node tol
Created in NX6.0.0.
License requirements : None
NXOpen::CAE::CAEWeldConnectionBuilder::MeshDensityTypeEnum NXOpen::CAE::CAEWeldConnectionBuilder::MeshDensityType | ( | ) |
Returns the mesh density type
Created in NX6.0.0.
License requirements : None
NXOpen::Expression* NXOpen::CAE::CAEWeldConnectionBuilder::MeshDensityValue | ( | ) |
Returns the mesh density value
Created in NX6.0.0.
License requirements : None
void NXOpen::CAE::CAEWeldConnectionBuilder::SetMeshDensityType | ( | NXOpen::CAE::CAEWeldConnectionBuilder::MeshDensityTypeEnum | meshDensityType | ) |
Sets the mesh density type
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
meshDensityType | meshdensitytype |
void NXOpen::CAE::CAEWeldConnectionBuilder::SetWeldType | ( | NXOpen::CAE::CAEWeldConnectionBuilder::WeldTypeEnum | weldType | ) |
Sets the weld connection type
Created in NX6.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
weldType | weldtype |
NXOpen::SelectTaggedObjectList* NXOpen::CAE::CAEWeldConnectionBuilder::TopFaceSelection | ( | ) |
Returns the top face selection(s)
Created in NX6.0.0.
License requirements : None
NXOpen::CAE::CAEWeldConnectionBuilder::WeldTypeEnum NXOpen::CAE::CAEWeldConnectionBuilder::WeldType | ( | ) |
Returns the weld connection type
Created in NX6.0.0.
License requirements : None